<?php
$wp_customize->add_section(
    'call_now_section',
    array(
        'title' => __( 'Call Now Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'call_now_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'call_now_section_disable',
        array(
            'settings'      => 'call_now_section_disable',
            'section'       => 'call_now_section',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

BackgroundManager($wp_customize, 'call_now', 'call_now_section', $color='#F6F2ED', get_template_directory_uri().'/images/callnow.png', 'color');

lzCustomLable($wp_customize, 'luzuk_sec_callnowsectionpadding', 'call_now_section', 'Set Section Padding :');

$wp_customize->add_setting(
    'callnow_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'callnow_areaTpadding',
    array(
        'settings'      => 'callnow_areaTpadding',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'callnow_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'callnow_areaBpadding',
    array(
        'settings'      => 'callnow_areaBpadding',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'call_now_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'call_now_title_heading',
        array(
            'settings'      => 'call_now_title_heading',
            'section'       => 'call_now_section',
            'label'         => __( 'Left Box Heading & Containt  ', 'Luzuk' ),
        )
    )
);   

$wp_customize->add_setting(
    'call_now_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'NEED ANY <br>', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_title',
    array(
        'settings'      => 'call_now_title',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Heading ', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'call_now_title1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WELDING ', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_title1',
    array(
        'settings'      => 'call_now_title1',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Stronge Heading ', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'call_now_title2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SERVICES <br>', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_title2',
    array(
        'settings'      => 'call_now_title2',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Span Heading ', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'call_now_title3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'HELP ?', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_title3',
    array(
        'settings'      => 'call_now_title3',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Small Heading ', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'call_now_headclr', 'call_now_section', 'Heading Color', '#fff'); 
addColorPalatOption($wp_customize, 'call_now_spnheadclr', 'call_now_section', 'Span Color', '#FF6F00'); 
addColorPalatOption($wp_customize, 'call_now_smlheadclr', 'call_now_section', 'Small Color', '#FF6F00'); 

$wp_customize->add_setting(
    'cn_phonetxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CALL NOW', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'cn_phonetxt',
    array(
        'settings'      => 'cn_phonetxt',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Text', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'call_now_caltxtclr', 'call_now_section', 'Text Color', '#ff6f00');

$wp_customize->add_setting(
    'cn_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '111-222-333', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'cn_phone',
    array(
        'settings'      => 'cn_phone',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Contact Number', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'call_now_subheadclr', 'call_now_section', 'Icon Color', '#fff');
addColorPalatOption($wp_customize, 'sec_icnclr', 'call_now_section', 'Icon BG Color', '#FF6F00');
addColorPalatOption($wp_customize, 'call_now_noheadclr', 'call_now_section', 'Contact Number', '#222A35'); 

addColorPalatOption($wp_customize, 'call_now_phonebgclr', 'call_now_section', 'Contact Number BG Color', '#fff');  
addColorPalatOption($wp_customize, 'call_now_leftbxbgclr', 'call_now_section', 'Left Box BG Color', '#222A35'); 

lzCustomLable($wp_customize, 'sec_call_rightboxclr', 'call_now_section', 'Trangle');
$wp_customize->add_setting(
    'call_now_righttitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lets<br> Talk Us', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_righttitle',
    array(
        'settings'      => 'call_now_righttitle',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Lable Text', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'call_now_lbltxtclr', 'call_now_section', 'Lable Text Color', '#fff'); 

addColorPalatOption($wp_customize, 'call_now_lblbgclr1', 'call_now_section', 'Lable Text BG Color 1', '#FFA200'); 
addColorPalatOption($wp_customize, 'call_now_lblbgclr2', 'call_now_section', 'Lable Text BG Color 2', '#FF6F00'); 

addColorPalatOption($wp_customize, 'call_now_rightbxbgclr', 'call_now_section', 'Small Trangle Color', '#FFA200'); 

addColorPalatOption($wp_customize, 'call_now_rightbximgbrdclr', 'call_now_section', 'Right Border Color', '#ff9f00');

lzCustomLable($wp_customize, 'call_now_socials', 'call_now_section' , 'Social Media Icons');

// FACEBOOK 
$wp_customize->add_setting('cn_fb', array('default'=> 'https://www.facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cn_fb',
    array(
        'settings'      => 'cn_fb',
        'section'       => 'call_now_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('cn_tw', array('default'=> 'https://www.twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cn_tw',
    array(
        'settings'      => 'cn_tw',
        'section'       => 'call_now_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);

//Instagram
$wp_customize->add_setting('cn_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('cn_insta',
    array(
        'settings'      => 'cn_insta',
        'section'       => 'call_now_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'call_now_socalicnClr', 'call_now_section', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'call_now_socalicnhvClr', 'call_now_section', 'Icon Hover Color', '#FFA200');
addColorPalatOption($wp_customize, 'call_now_socalicnbgClr', 'call_now_section', 'BG Color 1', '#222a35');
addColorPalatOption($wp_customize, 'call_now_socalicnbgClr2', 'call_now_section', 'BG Color 2', '#fff');